Groovy Documentation

## grails.doc
[Groovy] Class PdfBuilder

    java.lang.Object
      grails.doc.PdfBuilder

    class PdfBuilder

Method Summary
`static void` | `build(java.lang.String baseDir, java.lang.String grailsHome)`
`static void` | `build(java.util.Map options)` Builds a PDF file from the manual's single.html file.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### build

    static void build(java.lang.String baseDir, java.lang.String grailsHome)

### build

    static void build(java.util.Map options)

  Builds a PDF file from the manual's single.html file.

  The following directories are assumed to exist:

  - $basedir/manual/guide/single.html
  - $basedir/manual/css/
  - $basedir/manual/img/
  - $home/src/$tool/docs/style
  The `options` map should have the following key/value pairs
  - basedir = points to the root directory that contains the generated manual required
  - home = points to the tool home, e.g, $grailsHome required
  - tool = name of the tool. default `grails`

Groovy Documentation